%define upstream_name    HTML-Packer
%define upstream_version 2.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Another HTML code cleaner
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CSS::Packer) >= 2.10.0
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JavaScript::Packer) >= 2.10.0
BuildRequires: perl(Regexp::RegGrp) >= 1.1.1
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A HTML Compressor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 19 2020 umeabot <umeabot> 2.100.0-2.mga8
+ Revision: 1543146
- Mageia 8 Mass Rebuild

* Tue Jan 14 2020 shlomif <shlomif> 2.100.0-1.mga8
+ Revision: 1477971
- update to 2.10

* Thu Jul 18 2019 tv <tv> 2.90.0-1.mga8
+ Revision: 1422485
- update to 2.09

* Sun Jul 14 2019 tv <tv> 2.80.0-1.mga8
+ Revision: 1421405
- update to 2.08

* Thu Sep 20 2018 umeabot <umeabot> 2.70.0-2.mga7
+ Revision: 1283967
- Mageia 7 Mass Rebuild

* Mon Apr 09 2018 kekepower <kekepower> 2.70.0-1.mga7
+ Revision: 1216689
- Update to version 2.07

* Tue Oct 24 2017 shlomif <shlomif> 2.60.0-1.mga7
+ Revision: 1173439
- update to 2.06

* Mon Jul 31 2017 sander85 <sander85> 2.50.0-1.mga7
+ Revision: 1133309
- update to 2.05

* Sat May 28 2016 shlomif <shlomif> 2.30.0-1.mga6
+ Revision: 1019236
- New version 2.03

* Wed Feb 10 2016 shlomif <shlomif> 2.20.0-1.mga6
+ Revision: 953174
- update to 2.02

* Fri Jan 15 2016 shlomif <shlomif> 2.10.0-1.mga6
+ Revision: 923279
- update to 2.01

* Thu Jun 25 2015 shlomif <shlomif> 2.0.0-1.mga6
+ Revision: 843202
- update to 2.00

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-5.mga5
+ Revision: 747157
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-4.mga5
+ Revision: 684950
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.1-2.mga3
+ Revision: 368035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 1.4.1-1.mga3
+ Revision: 261471
- imported package perl-HTML-Packer


* Mon Jun 18 2012 cpan2dist 1.004001-1mga
- initial mageia release, generated with cpan2dist
